import request from '@/utils/request'

// 工程监理--开工报告/开工令列表
export function apiSupervisionCommencementReportLists(params: any) {
    return request.get({ url: '/supervision_const_prepare.supervision_commencement_report/lists', params })
}

// 添加工程监理--开工报告/开工令
export function apiSupervisionCommencementReportAdd(params: any) {
    return request.post({ url: '/supervision_const_prepare.supervision_commencement_report/add', params })
}

// 编辑工程监理--开工报告/开工令
export function apiSupervisionCommencementReportEdit(params: any) {
    return request.post({ url: '/supervision_const_prepare.supervision_commencement_report/edit', params })
}

// 删除工程监理--开工报告/开工令
export function apiSupervisionCommencementReportDelete(params: any) {
    return request.post({ url: '/supervision_const_prepare.supervision_commencement_report/delete', params })
}

// 工程监理--开工报告/开工令详情
export function apiSupervisionCommencementReportDetail(params: any) {
    return request.get({ url: '/supervision_const_prepare.supervision_commencement_report/detail', params })
}